#' @name dafilter
#' @aliases dafilter
#' @title Define the generic dafilter function
#' @param model_handle The function that executes the model, must take in a numvarsx1 input and return a numvarsx1 output, where numvars is the number of inputs to the model
#' @param measurement_handle The function that converts the model output state to measurement
#' @param observations The set of observations that the filter will use to update its estimates.
#' @param input A list with: the first guess of forecast error covariance matrix (Pguess),  first guess values of forecast vector (Xguess), model process error covariance matrix (Qmod), measurement covaraince (R), and, time resolution of model (T)
#' @param option Either: "KALMAN", "EXTENDED", "ENSEMBLE", "PARTICLE"
#' @references %% ~put references to the literature/web site here ~
#' @author Riddhi Singh
#' @note  %% add value
#' @seealso  \code{\link{kalmanfilter}} and \code{\link{extendedkalmanfilter}} and \code{\link{ensemblekalmanfilter}} and \code{\link{particlefilter}}
#' @export

dafilter <-
  function(model_handle, ...) UseMethod("dafilter")
