#' @name f_lakepars
#' @aliases f_lakepars
#' @title Updates parameters of the lake model
#' @description Function to update the parameters of the lake model for the next time step 
#' @param x input to the model: b and q values
#' @details %%  ~~ If necessary, more details than the description above ~~
#' @return  ouput phosphorus values at the next time step
#' @author Riddhi Singh
#' @note  %% add value
#' @seealso \code{\link{lakesetup}} \code{\link{setlakedefault}}
#' @examples
#' x  <- c(0.4,2)
#' y  <- f_lakestate(x)
#' @export

f_lakepars <-
  function(x, timestep = 1, t = 0)
  {    
    ln           <- length(x)
    xp           <- rep(0, ln)
    # the parameters remain the same as before
    xp[1]        <- x[1]
    xp[2]        <- x[2]
    return(xp)
    #cleanup
    rm(x, xp)
  }