#' @name fmat_lakepars
#' @aliases fmat_lakepars
#' @title Fmat function for the parameters of the lake model
#' @description Fmat function for the parameters of the lake model (for use in the Kalman and extended Kalman filters)
#' @param x input to the model: b and q at previous time step
#' @details %%  ~~ If necessary, more details than the description above ~~
#' @return  ouput phosphorus values at the next time step
#' @author Riddhi Singh
#' @note  %% add value
#' @seealso \code{\link{lakesetup}} \code{\link{setlakedefault}}
#' @export

fmat_lakepars <-
  function(x, timestep = 1, t = 0)
  {    
    ln           <- length(x)
    xp           <- rep(0, ln)
    # the lake model divided by the state variable
    xp[1]        <- 1
    xp[2]        <- 1
    return(xp)
    #cleanup
    rm(x, a, xp)
  }