#' @name fmat_lakestate
#' @aliases fmat_lakestate
#' @title Fmat function for the state variable of the lake model
#' @description Fmat function for the state variable of the lake model (for use in the Kalman and extended Kalman filters)
#' @param x input to the model: phosphorus at previous time step
#' @param theta b and q parameter values
#' @details %%  ~~ If necessary, more details than the description above ~~
#' @return  ouput phosphorus values at the next time step
#' @author Riddhi Singh
#' @note  %% add value
#' @seealso \code{\link{lakesetup}} \code{\link{setlakedefault}}
#' @export

fmat_lakestate <-
  function(x, theta, timestep = 1, t = 0)
  {    
    ln           <- length(x)
    xp           <- rep(0, ln)
    # the lake model divided by the state variable
    xp[1]        <- max((1-theta[1]) + x[1]^(theta[2]-1)/(1+x[1]^theta[2]),0)
    return(xp)
    #cleanup
    rm(x, a, xp)
  }