#' @name getQ
#' @aliases getQ 
#' @title Calculate the model/process covariance matrix 
#' @description This function can be called to run the demostration example that implements the filters. The function allows the user to run the model without any inputs (by setting all values at pre-defined default). Alternatively, the user can enter the choice of filters, random seeds, etc.
#' @param Qmod A scalar/ vector/ array with process (co)variances. If scalar, the value is multiplied by an identity matrix with dimensions equal to the length of the vector x. If vector, the values form the diagonal of the covariance matrix with off-diagonal elements set to zero. The array is directly used without any further processing. 
#' @param numvars The number of variables being forecasted
#' @details %%  ~~ If necessary, more details than the description above ~~
#' @return  The covariance matrix Q 
#' @references %% ~~No references~~
#' @author Riddhi Singh
#' @note  %% add value
#' @seealso  %%  ~~further notes~~
#' @examples
#' #initializing using a scalar
#' Qmod  <- 1  
#' #initializing using a vector
#' getQ(Qmod,3)
#' Qmod  <- c(1,1,10)
#' #initializing using a matrix
#' Qmod <- array(1, dim=c(3,3))
#' getQ(Qmod,3)
 
getQ <-
function(Qmod, numvars)
{      
    Q  <- Qmod*diag(numvars)
    return(Q)
    #cleanup
    rm(Q)
}