#' @name hmat_lakepars
#' @aliases hmat_lakepars
#' @title Measurement function for the lake parameters
#' @description The measurement function for the lake parameters used in the lake model, to be used in Kalman and extended Kalman filters
#' @param x State variable vector for the lake model
#' @param theta Parameter vector for the lake model
#' @return  Returns the hmat values
#' @references %% ~~No references~~
#' @author Riddhi Singh
#' @note  %% add value
#' @seealso  \code{\link{f_lake}}
#' @export

hmat_lakepars <-
  function(x,state) 
  {    
    out         <- state*(1-x[1]) + state^x[2]/(1+state^x[2])    
    return(out)
    #cleanup
    rm(x, out)
  }