#' @name multirandnorm
#' @aliases multirandnorm 
#' @title Generate a random sample from a multi-normal distribution
#' @description Generate a random sample from a multi-normal distribution with specified mean values and covariance matrix
#' @param meanvec  A vector with mean values of the multi-normal distribution
#' @param covmat The covaraince matrix
#' @param num_pts The number of points to be generated
#' @param seedval The seed for random number generation
#' @details %%  ~~ If necessary, more details than the dcription above ~~
#' @return  An array of dimension num_pts x length(meanvec)
#' @references %% ~~No references~~
#' @author Riddhi Singh
#' @note      %% add value
#' @seealso   %%  ~~further notes~~
#' @examples  
#' covmat  <- diag(c(1,1,1))
#' randmat <- multirandnorm(c(0,0,0), covmat, 5, 10 )
#' @importFrom MASS mvrnorm

multirandnorm <-
  function(meanvec, covmat,num_pts,seedval)
  {
    set.seed(seedval)                              # seed the rand number generator
    xrand      <- mvrnorm(num_pts, meanvec, covmat)  
    
    return(xrand)
    #cleanup
    rm(xrand)
  }