#' @name paperplot_Sup5
#' @aliases paperplot_Sup5
#' @title Runs the code for the generating supplementary figures in the publication.
#' @description This function runs the code for plotting alternative pollution strategies tested.
#' @references %% ~~No references~~
#' @author Riddhi Singh
#' @note %% add value
#' @export

paperplot_Sup5 <- 
  function() {
    # clean up
    rm(list=ls())    
    # make the plot
    cairo_pdf(paste("FigureA18.pdf", sep=""), width=8, height=4)
    # input policy plots
    input       <- setlakedefault(c(1,1),2)
    pol1        <- input$uinput
    input       <- setlakedefault(c(1,1),5)
    pol2        <- input$uinput
    plot(pol1, type="l", lwd=4, lty=2,
         ylab="Input pollution [-]", xlab='Time [years]', cex.lab=1.2)
    lines(pol2, lty=1, lwd=2)
    mtext('Pollution policies tested', side=3, line=0.5, adj=0, cex=1.2)
    legtext <- c('High emissions (linear)','High emissions (step-increase)')
    legend(55,0.07, legtext,box.col=NA,bg=NA,lty=c(1,2,3),
           pch=c(NA,NA,NA),col=rgb(0,0,0),lwd=c(2,2,2))    
    dev.off()
    #     # for the oligotrophic lake
    #     input       <- setlakedefault(c(1,1),0)    
    #     outvars     <- array(NA, c(length(input$xtrueinit), input$tend))
    #     bterm       <- rep(NA, input$tend)
    #     qterm       <- rep(NA, input$tend)    
    #     ainput      <- input$uinput
    #     outvars[,1] <- input$xtrueinit
    #     runtime     <- input$tend-1
    #     for (i in 1:runtime) {    
    #       bterm[i]       <- input$xtrueinit[2]*outvars[,i]
    #       qterm[i]       <- (outvars[,i]^input$xtrueinit[3]/(1+outvars[,i]^input$xtrueinit[3]))
    #       outvars[,i+1]  <- outvars[,i] - bterm[i] + qterm[i]
    #       outvars[1,i+1] <- outvars[1,i+1] + ainput[i]      
    #     }
    #     pterm               <- outvars[1,]
    #     bterm[input$tend]   <- input$xtrueinit[2]*pterm[input$tend]
    #     qterm[input$tend]   <- pterm[input$tend]^input$xtrueinit[3]/(1+pterm[input$tend]^input$xtrueinit[3])
    #            
    #     # plot
    #     plot(pterm, bterm, type="l",col=cols[1], xlim=range(pterm), ylim=range(c(qterm, bterm)),
    #          xlab='Phosphorus in the lake [-]',ylab='Rates of flux [-]',cex.lab=1.5)
    #     points(pterm,  bterm, pch=pchvals[1], col=cols[1])
    #     lines(pterm,   qterm+ainput, pch=pchvals[2], col=cols[2]) 
    #     points(pterm,  qterm+ainput, pch=pchvals[2], col=cols[2])      
    #     lines(pterm,  ainput, pch=pchvals[3], col=cols[3])
    #     points(pterm, ainput, pch=pchvals[3], col=cols[3])
    #     
    #     #add legend
    #     legtext <- c('Sinks','Source-recyle','Source-input')
    #     legend(0.01, 0.80, legtext, box.col='black',lty=c(1,1,1),pch=pchvals,col=cols,lwd=c(2,2,2),pt.cex=c(2,2,2))
    #     
    #     # for the eutorphic lake    
    #     input       <- setlakedefault(c(1,1),1)    
    #     outvars     <- array(NA, c(length(input$xtrueinit), input$tend))
    #     bterm       <- rep(NA, input$tend)
    #     qterm       <- rep(NA, input$tend)    
    #     ainput      <- input$uinput
    #     outvars[,1] <- input$xtrueinit
    #     runtime     <- input$tend-1
    #     for (i in 1:runtime) {    
    #       bterm[i]       <- input$xtrueinit[2]*outvars[,i]
    #       qterm[i]       <- (outvars[,i]^input$xtrueinit[3])/(1+outvars[,i]^input$xtrueinit[3])
    #       outvars[,i+1]  <- outvars[,i] - bterm[i] + qterm[i]
    #       outvars[1,i+1] <- outvars[1,i+1] + ainput[i]      
    #     }
    #     pterm               <- outvars[1,]
    #     bterm[input$tend]   <- input$xtrueinit[2]*pterm[input$tend]
    #     qterm[input$tend]   <- pterm[input$tend]^input$xtrueinit[3]/(1+pterm[input$tend]^input$xtrueinit[3])
    #     
    #     # plot
    #     plot(pterm, bterm, type="l",col=cols[1], xlim=range(pterm), ylim=range(c(qterm, bterm)),
    #          xlab='Phosphorus in the lake [-]',ylab='Rates of flux [-]',cex.lab=1.5)
    #     points(pterm,  bterm, pch=pchvals[1], col=cols[1])
    #     lines(pterm,   qterm+ainput, pch=pchvals[2], col=cols[2]) 
    #     points(pterm,  qterm+ainput, pch=pchvals[2], col=cols[2])      
    #     lines(pterm,  ainput, pch=pchvals[3], col=cols[3])
    #     points(pterm, ainput, pch=pchvals[3], col=cols[3])
    #     
    #     #add legend    
    #     legend(0.1, 1.0, legtext, box.col='black',lty=c(1,1,1),pch=pchvals,col=cols,lwd=c(2,2,2),pt.cex=c(2,2,2))
    #         dev.off()
  }