#' @name randnormmat
#' @aliases randnormmat 
#' @title Random matrix with all values sampled from a normal distribution
#' @description Generate a random matrix with all values sampled from a normal distribution with specified mean and standard deviation
#' @param meanval                 The mean of the normal distribution to be sampled from
#' @param sdval                   The standard deviation of the normal distribution to be sampled from
#' @param num_pts                 The number of points to be generated
#' @param rows                    The number of rows in the matrix
#' @param cols                    The number of columns in the matrix
#' @param seedval                 The seed for random number generation
#' @details %%  ~~ If necessary, more details than the dcription above ~~
#' @return  An array of dimension rows x cols
#' @references %% ~~No references~~
#' @author Riddhi Singh
#' @note      %% add value
#' @seealso   %%  ~~further notes~~
#' @examples  
#' randmat <- randnormmat(0, 1, 10, 2, 5, 100)

randnormmat <-
  function(meanval, sdval,num_pts,rows,cols,seedval)
  {
    set.seed(seedval)                              # seed the rand number generator
    xrand      <- rnorm(num_pts, meanval, sdval)  
    xrandmat   <- array(xrand, dim=c(rows, cols))
    return(xrandmat)
    #cleanup
    rm(xrand,xrandmat)
  }