\name{learningmodule-package}
\alias{learningmodule-package}
\docType{package}
\title{
A collection of fix data assimilation routines.
}
\description{
This package implements four commonly used methods of data
    assimilation - the Kalman filter, the extended Kalman filter, the ensemble
    Kalman fitler, and the particle filter. In addition, it also implements the metropolis algorithm, and a pre-calibration routine.  Three models are built into the package with associated code for implementing them.
}
\details{
\tabular{ll}{
Package: \tab learningmodule\cr
Version: \tab 1.0\cr
License: \tab GPL 2.0\cr
LazyData: \tab true\cr
Suggests: \tab 
testthat\cr
Depends: \tab 
MASS,
mvtnorm,
numDeriv,
mcmc\cr
RoxygenNote: \tab 5.0.1\cr
Built: \tab R 3.1.3; ; 2016-04-28 11:03:27 UTC; windows\cr
RemoteType: \tab local\cr
RemoteUrl: \tab C:/RiddhiFiles/Research/LearningWorkAtIITH/Module/GitUpload/learningmodule\cr
}

Index:
\preformatted{
addprocessnoise         addprocessnoise
basecasesetup           Problem set up for the base case model
comparemethods          Visually compare the methods used for
                        understanding a problem : learning vs. MCMC vs.
                        pre-calibration
comparisonplot          Compare the output of two or more filters
dafilter                Define the generic dafilter function
dafilter.default        Implement the default filter which is the
                        Kalman filter
ensemblekalmanfilter    Implement The Ensemble Kalman Filter
extendedkalmanfilter    Implement the extended Kalman filter
f_basecase              the linear base case model used to benchmark
                        filter perforamce
f_lake                  the lake model
filterdemo              Function to run the demonstration example
filterperformance       Assess the performance of various filters for
                        any test problem
getQ                    Calculate the model/process covariance matrix
getalake                return the value of input 'a'
getgeom                 Sub routine related to the measurement function
                        of the demo model
getqlake                return the value of 'q' parameter
getrho                  Subroutine to estimate the model parameter rho
                        in the demonstration example
getrho0                 Subroutine to estimate the model parameter rho
                        in the demonstration example
h_basecase              The linear measurement function used in the
                        basecase model
h_lake                  The linear measurement function used in the
                        lake model
kalmanfilter            Implement the the Kalman filter
lakesetup               Problem set up for the lake problem
learningmodule          learningmodule: a collection of four filter:
                        Kalman, Extended Kalman, Ensemble Kalman, and
                        Particle
likelihood_update       Update particle weights based on the likelihood
                        calculated using the simulations with
                        observations
likelihoodscans         Likelihood as a function of lake parameters
logposteriorbase        The log of the posterior for the base case
                        model
logposteriorlake        The log of the posterior for the lake model
multirandnorm           Generate a random sample from a multi-normal
                        distribution
paperplot1              Runs the code for the generating figures in the
                        publication
paperplot2              Runs the code for generating the figures in the
                        publication
paperplot3              This function runs the code for generating the
                        plot in the publication
paperplot4              Runs the code for the plots in the publication
paperplot5              Runs the code for the plots in the publication
particlefilter          Implement the particle filter
plot.filter             Plot function for the filter class
precalibration          Perform precalibration on selected model
print.filter            Print the output filter class
print.summary.filter    Print the sumarry of the output filter summary
                        class
probeutro               Assess the odds ratio of tip vs. no tip for a
                        given projection
problemsetup            Problem set up for the demonstration example
randnormmat             Random matrix with all values sampled from a
                        normal distribution
readinput               Read the input for the demonstration example
resample                Implement the resampling scheme for the
                        particle filter
runmcmc                 Run MCMC on any of the test cases
setbasecasedefault      Set the default values of the base case model
                        parameters
setdefault              Set the default values of the demostration
                        input parameters
setlakedefault          Set the default values of the lake data
                        assimilation problem
summary.filter          Estimate he summary statistics of the output
                        filter class
threspredict            Assess the threshold crossing time
tippingdetect           Detect the tipping point for the true
                        parameters.
tippingpredict          Assess the metrics related to performance in
                        predicting tipping points
}
}
\author{
Riddhi Singh

Maintainer: 
}
\keyword{ package }
