% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/dafilter.default.R
\name{dafilter.default}
\alias{dafilter.default}
\title{Implement the default filter which is the Kalman filter}
\usage{
\method{dafilter}{default}(model_handle, measurement_handle, observations,
  input, option = "KALMAN")
}
\arguments{
\item{model_handle}{The function that executes the model, must take in a numvarsx1 input and return a numvarsx1 output, where numvars is the number of inputs to the model}

\item{measurement_handle}{The function that converts the model output state to measurement}

\item{observations}{The set of observations that the filter will use to update its estimates.}

\item{input}{A list with: the first guess of forecast error covariance matrix (Pguess),  first guess values of forecast vector (xguess), model process error covariance matrix (Qmod), measurement covaraince (R), and, time resolution of model (T)}

\item{option}{Either: "KALMAN", "EXTENDED", "ENSEMBLE", "PARTICLE"}
}
\value{
A filter class which is a list comprising of the mean of the forecasted variables and their associated covariance matrix
}
\description{
This function implements the Kalman filter for a given set of model inputs and observations. The Kalman filter is the optimal estimator if the model is linear and the measurement/ process noises are normally distributed.
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\note{
%% add value
}
\examples{
Example 1: running the demonstration example
model_handle       <- f_model
measurement_handle <- h_meas
input              <- setdefault()
setup              <- problemsetup(input)
kalmanout          <- dafilter(model_handle, measurement_handle, setup$z, input, option="KALMAN")
Example 2: running the lake model
model_handle       <- f_lake
measurement_handle <- h_lake
input              <- setlakedefault()
setup              <- lakesetup(input)
ensembleout        <- dafilter(model_handle, measurement_handle, setup$z, input, option="ENSEMBLE")
}
\author{
Riddhi Singh
}
\references{
%% ~put references to the literature/web site here ~
}
\seealso{
\code{\link{kalmanfilter}} \code{\link{extendedkalmanfilter}} \code{\link{ensemblekalmanfilter}} \code{\link{particlefilter}}
}

