% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ensemblekalmanfilter.R
\name{ensemblekalmanfilter}
\alias{ensemblekalmanfilter}
\title{Implement The Ensemble Kalman Filter}
\usage{
ensemblekalmanfilter(input, observations)
}
\arguments{
\item{input}{A list with the problem setup including the first guess of forecast error covariance matrix (Pguess),  first guess values of forecast vector (xguess), model process error covariance matrix (Qmod), measurement covaraince (R), and, time step of model (timestep)}

\item{observations}{The set of observations that the filter will use to update its estimates.}
}
\value{
A filter class which is a list comprising of the mean of the forecasted variables and their associated covariance matrix
}
\description{
This function implements the ensemble Kalman filter for a given set of model inputs and observations. The filter approximates a Gaussian distribution using a set of randomly generated, and is a good choice for models with significant non linearity.
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\note{
%% add value
}
\examples{
input              <- setdefault()
setup              <- problemsetup(input)
ensembleout        <- ensemblekalmanfilter(input,setup$z)
}
\author{
Riddhi Singh
}
\seealso{
\code{\link{kalmanfilter}}, \code{\link{extendedkalmanfilter}}, \code{\link{particlefilter}}
}

