% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/filterperformance.R
\name{filterperformance}
\alias{filterperformance}
\title{Assess the performance of various filters for any test problem}
\usage{
filterperformance(object, truth, mcmcout = NULL, varindex = NULL)
}
\arguments{
\item{object}{An output of filter class}

\item{truth}{The true values of the variables (in case of a synthetic experiment or the demostration example)}

\item{varindex}{The index of the key variable to be used in assessing performance using criteria 2}
}
\value{
A list with values of both criteria
}
\description{
This function assesses the ability of a filter to estimate the state variables and/or unknown parameters of a filter. Two criteria are assessed: 1) time taken to identify the state variables within ten percent of their values and 2) ability to track a key state variable of interest
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\note{
%% add value
}
\examples{
 
model_handle       <- f_model
measurement_handle <- h_meas
input              <- setdefault()
setup              <- problemsetup(input)
kalmanout          <- dafilter(model_handle, measurement_handle, setup, input)
kalperf            <- filterperformance(kalmanout, setup$xtrue, mcmcout)
exkalperf          <- filterperformance(exkalmanout, setup$xtrue, mcmcout)
enkalperf          <- filterperformance(enkalmanout, setup$xtrue, mcmcout)
partperf           <- filterperformance(partout, setup$xtrue, mcmcout)
precalibperf       <- filterperformance(precalib, setup$xtrue, mcmcout)
}
\author{
Riddhi Singh
}
\seealso{
\code{\link{kalmanfitler}} \code{\link{extendedkalmanfitler}} \code{\link{ensemblekalmanfitler}} \code{\link{particlefitler}}
}

