% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/kalmanfilter.R
\name{kalmanfilter}
\alias{kalmanfilter}
\title{Implement the Kalman filter}
\usage{
kalmanfilter(input, observations)
}
\arguments{
\item{input}{A list with the problem setup including the first guess of forecast error covariance matrix (Pguess),  first guess values of forecast vector (xguess), model process error covariance matrix (Qmod), measurement covaraince (R), and, time step of model (timestep)}

\item{observations}{The set of observations that the filter will use to update its estimates.}
}
\value{
A filter class which is a list comprising of the mean of the forecasted variables and their associated covariance matrix
}
\description{
This function implements the Kalman filter for a given set of model inputs and observations. The Kalman filter is the optimal estimator if the model is linear and the measurement/ process noises are normally distributed.
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\note{
%% add value
}
\examples{
Example: running the lake model
input              <- setlakedefault(1) # 1 for the eutrophication case
setup              <- lakesetup(input)
kalmanout          <- kalmanfilter(input,setup$z)
}
\author{
Riddhi Singh
}
\references{
%% ~put references to the literature/web site here ~
}
\seealso{
\code{\link{extendedkalmanfilter}}, \code{\link{ensemblekalmanfilter}}, \code{\link{particlefilter}}
}

