context("filters")

if (!require("MASS")) {
  install.packages("MASS", dependencies = TRUE)
  library(MASS)
}

if (!require("numDeriv")) {
  install.packages("numDeriv", dependencies = TRUE)
  library(numDeriv)
}

model_handle       = f_model
measurement_handle = h_meas
input              = setdefault()
setup              = problemsetup(input)

test_that("testing the Kalman filter" , {
  kalmanout          = kalmanfilter(model_handle, measurement_handle, setup$z, input)
  expect_output(kalmanout, "filter")
})

test_that("testing the extended Kalman filter" , {
  extendedout        = extendedkalmanfilter(model_handle, measurement_handle, setup$z, input)
  expect_output(extendedout, "filter")
})

test_that("testing the ensemble Kalman filter" , {
  ensembleout        = ensemblekalmanfilter(model_handle, measurement_handle, setup$z, input)
  expect_output(ensembleout, "filter")
})

test_that("testing the particle filter" , {
  particleout        = particlefilter(model_handle, measurement_handle, setup$z, input)
  expect_output(particleout, "filter")
})